Summary:	CLIPS language for developing expert systems
Name:		clips
Version:	6.24
Release:	25%{?dist}
Url:		http://www.ghg.net/clips/download/source/
License:	GPLv2
Group:		Development/Tools
Source0:	http://www.ghg.net/clips/download/source/clipssrc.tar.Z
Source1:	http://www.ghg.net/clips/download/source/x-prjct.tar.Z
Source2:	http://www.ghg.net/clips/download/executables/examples/AllExamples.tar.Z
Source3:	http://www.ghg.net/clips/download/documentation/abstract.pdf
Source4:	http://www.ghg.net/clips/download/documentation/apg.pdf
Source5:	http://www.ghg.net/clips/download/documentation/arch5-1.pdf
Source6:	http://www.ghg.net/clips/download/documentation/bpg.pdf
Source7:	http://www.ghg.net/clips/download/documentation/ig.pdf
Source8:	http://www.ghg.net/clips/download/documentation/usrguide.pdf
Source9:	http://www.ghg.net/clips/download/documentation/3CCP.pdf
Source10:	xclips.png
Source11:	clips-init.el
Source12:	clips-mode.el
Source13:	inf-clips.el
Source14:	http://www.ghg.net/clips/download/other/Bug_Fixes/objrtmch.c
Source15:	http://www.ghg.net/clips/download/other/FunctionContext.zip
Source16:	http://www.ghg.net/clips/download/other/Bug_Fixes/DR0873.txt
Source17:	xclips.desktop
Patch0:		clips-6.24-linux.patch
Patch1:		clips-6.24-time-sysdep.c.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ncurses-devel libXt-devel libXext-devel libXmu-devel libXaw-devel xorg-x11-server-Xorg xorg-x11-proto-devel xorg-x11-xbitmaps desktop-file-utils
BuildRequires:	automake autoconf libtool

%description
CLIPS is a productive development and delivery expert system tool which 
provides a complete environment for the construction of rule and/or object 
based expert systems. Created in 1985 by NASA, CLIPS is now widely used 
throughout the government, industry, and academia.

This package provides the CLIPS command line environment and the clips
library.

%package	libs
Summary:	Run-time libraries for CLIPS applications
Group:		System Environment/Libraries

%description	libs
This package contains the run-time libraries needed for CLIPS applications.

%package	devel
Summary:	Headers for developing programs that will embed CLIPS
Group:		Development/Libraries
Requires:	clips-libs = %{version}-%{release}
Requires:	ncurses-devel pkgconfig

%description	devel
This package contains the libraries and header files needed for
developing embedded CLIPS applications.

%package	xclips
Summary:	X interface to CLIPS
Group:		Development/Tools

%description	xclips
X interface to CLIPS.

%package	doc
Summary:	Documentation for CLIPS
Group:		Documentation

%description	doc
This package contains documentation for the CLIPS library as well as numerous 
examples.

The following are some of the documents in this package:
- Proceedings of the Third Conference on CLIPS, 1994 (3CCP.pdf)
- Application abstracts (abstract.pdf)
- CLIPS Reference Manual, Volume II, Advanced Programming Guide (apg.pdf)
- CLIPS Architecture Manual (arch5-1.pdf)
- CLIPS Reference Manual, Volume I, Basic Programming Guide (bpg.pdf)
- CLIPS Reference Manual, Volume III, Interfaces Guide (ig.pdf)
- CLIPS Users Guide (usrguide.pdf)


%prep
%setup -q -a 1 -a 2 -a 15 -c
mv x-prjct/xinterface clipssrc/
mv x-prjct/color clipssrc/
mv clipssrc/clipssrc clipssrc/clips
%patch0 -p0
%patch1 -p0
#move in the function context patch files
mv envrnmnt.h clipssrc/clips
mv envrnmnt.c clipssrc/clips
mv evaluatn.c clipssrc/clips
mv extnfunc.h clipssrc/clips
mv extnfunc.c clipssrc/clips
#move in the object-pattern-match-delay bug fix
cp %{SOURCE14} clipssrc/clips
chmod a-x clipssrc/*/*.h clipssrc/*/*.c
chmod a-x Examples/*.clp
chmod a-x Examples/Cholesterol/*
chmod u+x clipssrc/autogen.sh
for i in %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE16}; do
 cp $i .
done

%build
cd clipssrc
./autogen.sh
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -D %{SOURCE10} %{buildroot}%{_datadir}/pixmaps/xclips.png
%{__install} -m 644 -D %{SOURCE11} %{buildroot}%{_datadir}/emacs/site-lisp/site-start.d/clips-init.el
%{__install} -m 644 -D %{SOURCE12} %{buildroot}%{_datadir}/emacs/site-lisp/clips-mode.el
%{__install} -m 644 -D %{SOURCE13} %{buildroot}%{_datadir}/emacs/site-lisp/inf-clips.el
cd clipssrc
desktop-file-install --vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category X-Fedora \
	%{SOURCE17}
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -p" 
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
%{__rm} -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/clips
%{_datadir}/emacs/site-lisp/site-start.d/clips-init.el
%{_datadir}/emacs/site-lisp/clips-mode.el
%{_datadir}/emacs/site-lisp/inf-clips.el

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_datadir}/%{name}/
%doc clipssrc/readme.txt
%doc clipssrc/COPYING_LINUX_PATCH
%doc clipssrc/README_LINUX_PATCH
%doc DR0873.txt

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/

%files xclips
%defattr(-,root,root,-)
%{_bindir}/xclips
%{_bindir}/xclips-color
%{_datadir}/pixmaps/xclips.png
%{_datadir}/applications/*xclips.desktop

%files doc
%defattr(-,root,root,-)
%doc Examples/
%doc abstract.pdf arch5-1.pdf bpg.pdf usrguide.pdf 3CCP.pdf
%doc apg.pdf
%doc ig.pdf
 
%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.24-25
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-24
- Added automake, autoconf and libtool to build requires

* Sat Aug 25 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-23
- Added patch to fix time function; closes bug 249995
- Fixed the version in the xclips.desktop file and removed it from the linux patch
- Added the linux patch and xclips.desktop files to cvs
- Changed the linux patch from a bzip file to a normal patch file
- Removed the pre-generated autotools files from the linux patch
- Added running of autogen.sh prior to running configure to build autotools files
- Added timestamp preservation to install
- Updated (not changed) license to new tag GPLv2

* Fri Feb 02 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-22
- Bump release to build FC-5 and devel against new patch

* Fri Feb 02 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-21
- New clips patch builds against ncurses instead of libtermcap
- Changed all requires of libtermcap-devel to ncurses-devel

* Sun Aug 27 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-20
- Bump release for mass rebuild

* Mon Jul 31 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-19
- Remove autoconf config.h from linux patch
- Added clips-config.h with CLIPS_HELPFILE define to linux patch

* Sat Jul 08 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-18
- Added FunctionContext.zip patch
- Removed objrtmch.c from linux patch and changed to download patch
- Added bug fix report num 0873 to docs

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-17
- Changed UNIX_V define to UNIX_7 for upstream optimizations

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-16
- Bumped release for make sources error

* Fri Jul 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-15
- Added objrtmch.c upstream patch to general patch fixing pattern match bug

* Fri Jun 30 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-14
- Bumped release to satisfy make tag

* Fri Jun 30 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-13
- Bumped release number to fix broken upgrade path

* Thu Jun 22 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-8
- Fixed pkgconfig .pc from -L libdir to -Llibdir

* Thu Jun 22 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-7
- Renamed docs subpackage to doc
- Changed pkgconfig .pc to use -L libdir -lclips in patch
- Added extern "C" and ifdef __cplusplus to clips.h in patch

* Wed Jun 21 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-6
- Created docs subpackage
- Moved all pdf docs and examples into docs subpackage
- Removed Requires clips from xclips
- Added emacs mode to clips package

* Sun Jun 18 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-5
- Created libs subpackage
- Renamed x11 subpackage to xclips
- Changed install location of clips.hlp in autotools patch
- Renamed clips.png to xclips.png
- Moved xclips.desktop and xclips.png to xclips subpackage
- Modified autotools patch to build xclips.desktop to keep version tag current
- Changed xclips Requires from %%{name} to clips to be more explicit

* Sat Jun 17 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-4
- Moved ig.pdf to x11 subpackage

* Sat Jun 17 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-3
- Autotools patch now treats clips.hlp as data rather than doc

* Sat Jun 17 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-2
- Fixed pkgconfig include directory to /usr/include/clips
- Fixed help define

* Fri Jun 16 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.24-1
- New release
- Changed desktop entry name from xclips to XCLIPS
- New autotools struture builds clips and xclips in separate directories
- Moved bpg.pdf to clips main package
- Added examples from AllExamples.tar.Z
- Moved clips.hlp to clips main package
- Remove xclips.desktop source and moved it into autotools patch
- Added build for xclips color utility as xclips-color

* Thu Jun 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.23-2
- Added libXt-devel, libXaw-devel, libXext-devel, libXmu-devel to BuildRequires

* Tue Jun 13 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> 6.23-1
- Initial release
 
